// Copyright 1999-2005 California Institute of Technology. ALL RIGHTS
// RESERVED. U.S. Government Sponsorship acknowledged.

import java.util.HashSet;
import java.util.Iterator;
import java.util.Set;

class ArtistExpr implements Expr {
	public ArtistExpr(String op, String value) {
		this.op = op;
		this.value = value;
	}
	public Set evaluate() {
		Set tracks = new HashSet();
		if ("EQ".equals(op)) {
			for (Iterator i = DB.ARTISTS.iterator(); i.hasNext();) {
				Artist a = (Artist) i.next();
				if (a.getName().equals(value))
					tracks.addAll(a.getTracks());
			}
		} else if ("NE".equals(op)) {
			for (Iterator i = DB.ARTISTS.iterator(); i.hasNext();) {
				Artist a = (Artist) i.next();
				if (!a.getName().equals(value))
					tracks.addAll(a.getTracks());
			}
		} else throw new UnsupportedOperationException("NYI");
		return tracks;
	}
	private String op;
	private String value;
}
