// Copyright 1999-2005 California Institute of Technology. ALL RIGHTS
// RESERVED. U.S. Government Sponsorship acknowledged.

import java.util.HashSet;
import java.util.Iterator;
import java.util.Set;

class TrackExpr implements Expr {
	public TrackExpr(String op, String value) {
		this.op = op;
		this.value = value;
	}
	public Set evaluate() {
		Set tracks = new HashSet();
		if ("EQ".equals(op)) {
			for (Iterator i = DB.TRACKS.iterator(); i.hasNext();) {
				Track t = (Track) i.next();
				if (t.getName().equals(value))
					tracks.add(t);
			}
		} else if ("NE".equals(op)) {
			for (Iterator i = DB.TRACKS.iterator(); i.hasNext();) {
				Track t = (Track) i.next();
				if (!t.getName().equals(value))
					tracks.add(t);
			}
		} else throw new UnsupportedOperationException("NYI");
		return tracks;
	}
	private String op;
	private String value;
}
